xmlencryption::DecryptionException Class Reference

Exceptions in decryption processing. More...

`#include <xmltooling/encryption/Decrypter.h>`

Inheritance diagram for xmlencryption::DecryptionException:
[legend]
Collaboration diagram for xmlencryption::DecryptionException:
[legend]

## Public Member Functions

| DecryptionException (const char *msg=0, const xmltooling::params &p=xmltooling::params())
| Constructor.
| DecryptionException (const char *msg, const xmltooling::namedparams &p)
| Constructor.
| DecryptionException (const std::string &msg, const xmltooling::params &p=xmltooling::params())
| Constructor.
| DecryptionException (const std::string &msg, const xmltooling::namedparams &p)
| Constructor.
virtual const char * | getClassName () const
| Returns a unique name for the exception class.
void | raise () const
| Raises an exception using itself.
Public Member Functions inherited from xmltooling::XMLToolingException
| XMLToolingException (const char *msg=0, const params &p=params())
| Constructs an exception using a message and positional parameters.
| XMLToolingException (const char *msg, const namedparams &p)
| Constructs an exception using a message and named parameters.
| XMLToolingException (const std::string &msg, const params &p=params())
| Constructs an exception using a message and positional parameters.
| XMLToolingException (const std::string &msg, const namedparams &p)
| Constructs an exception using a message and named parameters.
const char * | getMessage () const
| Returns the error message, after processing any parameter references.
const char * | what () const throw ()
| Returns the error message, after processing any parameter references.
void | setMessage (const char *msg)
| Sets the error message.
void | setMessage (const std::string &msg)
| Sets the error message.
void | addProperties (const params &p)
| Attach a set of positional parameters to the exception.
void | addProperties (const namedparams &p)
| Attach a set of named parameters to the exception.
void | addProperty (const char *value)
| Attach a single positional parameter at the next available position.
void | addProperty (const char *name, const char *value)
| Attach a single named parameter.
const char * | getProperty (unsigned int index) const
| Returns the parameter property with the designated position (based from one).
const char * | getProperty (const char *name) const
| Returns the parameter property with the designated name.
std::string | toString () const
| Returns a string containing a serialized representation of the exception.
std::string | toQueryString () const
| Returns a set of query string name/value pairs, URL-encoded, representing the exception's type, message, and parameters.

## Additional Inherited Members

Public Types inherited from xmltooling::XMLToolingException
typedef XMLToolingException * | ExceptionFactory()
| A factory function that returns an empty exception object of a given type.
Static Public Member Functions inherited from xmltooling::XMLToolingException
static XMLToolingException * | getInstance (const char *exceptionClass)
| Builds an empty exception of the given type.
static XMLToolingException * | fromStream (std::istream &in)
| Builds an exception from a serialized input stream.
static XMLToolingException * | fromString (const char *s)
| Builds an exception from a serialized input buffer.
static void | registerFactory (const char *exceptionClass, ExceptionFactory *factory)
| Registers a factory to create exceptions of a given class name.
static void | deregisterFactory (const char *exceptionClass)
| Unregisters the factory for a given class name.
static void | deregisterFactories ()
| Unregisters all factories.

## Detailed Description

Exceptions in decryption processing.

## Member Function Documentation

## getClassName()

virtual const char * xmlencryption::DecryptionException::getClassName | ( |  | ) | const

inline virtual

Returns a unique name for the exception class.

Returns
  class name

Reimplemented from xmltooling::XMLToolingException.

## raise()

void xmlencryption::DecryptionException::raise | ( |  | ) | const

inline virtual

Raises an exception using itself.

Used to raise an exception of a derived type.

Reimplemented from xmltooling::XMLToolingException.

The documentation for this class was generated from the following file:

- xmltooling/encryption/Decrypter.h